@import "description.scss";

.button {
  width: 20px;
  height: 16px;
  position: relative;
  margin-left: 31px;
  display: none;

  @include mobile {
    display: inline-block;
  }
}

.lines {
  top: 50%;
  display: block;
  margin-top: -1px;
  transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition-duration: 75ms;

  &::after,
  &::before {
    display: block;
    content: "";
  }

  &,
  &::after,
  &::before {
    position: absolute;
    width: 20px;
    height: 2px;
    background-color: $color-red;
    border-radius: 2px;
    transition-timing-function: ease;
    transition-duration: 0.15s;
    transition-property: transform;
  }

  &::before {
    top: -8px;
    transition: top 75ms ease 0.12s, opacity 75ms ease;
  }

  &::after {
    bottom: -8px;
    transition: bottom 75ms ease 0.12s,
      transform 75ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }
}

.lines--open {
  transition-delay: 0.12s;
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  transform: rotate(45deg);

  &::before {
    top: 0;
    opacity: 0;
    transition: top 75ms ease, opacity 75ms ease 0.12s;
  }

  &::after {
    bottom: 0;
    transform: rotate(-90deg);
    transition: bottom 75ms ease,
      transform 75ms cubic-bezier(0.215, 0.61, 0.355, 1) 0.12s;
  }
}

.wrapper {
  height: 100%;
  display: none;

  @include mobile {
    display: flex;
    align-items: center;
  }
}
